Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6480 - Configure script does C specific tests using C++ compiler
Summary: Configure script does C specific tests using C++ compiler
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sgml-tools
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-28 21:03 UTC by andrewem
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-11 20:42:13 UTC


Attachments (Terms of Use)

Description andrewem 1999-10-28 21:03:25 UTC
sp/configure.in runs AC_C_CONST and AC_C_INLINE, which are C
specific tests, after setting AC_LANG_CPLUSPLUS

const and inline are NOT optional in C++, though they are in
C, hence the _C_ in their names!

The fix is to remove these tests from configure.in and run
autoconf before re-packaging.

Comment 1 Preston Brown 2000-02-11 20:42:59 UTC
fixed in 1.0.9-5 and later.


Note You need to log in before you can comment on or make changes to this bug.